Index: Interface_Web/trunk/pspaWT/History
===================================================================
--- Interface_Web/trunk/pspaWT/History	(revision 453)
+++ Interface_Web/trunk/pspaWT/History	(revision 455)
@@ -5,4 +5,173 @@
      PSPA - Plateforme de simulation en physique des accÃ©lÃ©rateurs
      =========================================================
+
+16 Décembre 2013 : Laurent Garnier
+Un certain nombre d'arguments/méthodes sont postfixés par "deprecated". Ils vont être supprimé prochainement et ne servent déja probablement plus a rien pour la plupart d'entre eux.
+
+- abstractSoftware :
+  o DEPRECATED : Passage a "deprecated" des fonctions et arguments suivants :
+    - initComputationLimits()
+    - ComputationLimitsOk()
+    - numeroDeb 
+    - numeroFin
+  o Suppression des paramètres globParamPtr_ et sectParamPtr_
+    qui sont désormais des paramètres de "dataManager" et "section"
+  o Ajout de la méthode getSectionToExecute()
+  o Changement du constructeur : 
+   - abstractSoftware(string,globalParameters*,dataManager*);  
+   Par
+   - abstractSoftware(string, sectionToExecute*);
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+   Remplacé par :
+   - createInputFile(particleBeam* beamBefore, string workingDir)
+
+- dataManager
+   o DEPRECATED : Passage a "deprecated" des fonctions et arguments suivants :
+     - getBeamLineSize()
+     - getDiagnosticBeam(string)
+     - getLabelFromElementNumero()
+     - getLabelFromElementLabel()
+   o Supression de :
+     - addSectionToExecute()
+     - addElement()
+     - getElementPointerFromNumero()
+     - clearSectionToExecute()
+
+- unknowSoftware :
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+   Remplacé par :
+   - createInputFile(particleBeam* beamBefore, string workingDir)
+
+- sectionToExecute : Désormais cette classe possède un vector d'abstractElement.
+  o Changement du constructeur :
+   - sectionToExecute(abstractElement*,abstractElement*,abstractSoftware*)
+   Remplacé par :
+   - sectionToExecute(abstractElement*,abstractSoftware*) -> Plus besoin de connaitre la fin, on ajoute les éléments au et
+     à mesure dans la sectionToExecute.
+  o supression de :
+    - getFirstElement() -> On parcours désormais un vecteur d'éléments
+    - getLastElement()
+    - getElementNumberInSection()
+    - getLastElementNumberInSection()
+    - firstElementNumberInBeamLine, lastElementNumberInBeamLine, firstElement, lastElement
+  o ajout d'un vecteur d'"abstractElement*" à cette section et des méthodes associées
+
+- sector :
+  o ajout des méthodes et paramètres :
+    - addElementAfter()
+    - setSoftware()
+    - clearSectionToExecute()
+    - clearSectionToExecute(int)
+    - dataManager_, sectorParam_ 
+
+- sectorParameters :
+  o Changement du constructeur en ajoutant un paramètre vers le "sector" d'origine
+  o Renommage de "sector_" en "sectorsStatements_" pour éviter les confusions
+
+- softwareGenerator :
+  o Changement du constructeur :
+    - softwareGenerator(string inputFileName, globalParameters* globals, dataManager* dt);
+    Par :
+    - softwareGenerator(string inputFileName, sectionToExecute*)
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+
+- softwareParmela :
+  o Changement du constructeur :
+    - softwareParmela(string inputFileName, globalParameters* globals, dataManager* dt);
+    Par :
+    - softwareParmela(string inputFileName, sectionToExecute*)
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+
+- softwareTest :
+  o Changement du constructeur :
+    - softwareTest(string inputFileName, globalParameters* globals, dataManager* dt);
+    Par :
+    - softwareTest(string inputFileName, sectionToExecute*)
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+
+- softwareUsersProgram :
+  o Changement du constructeur :
+    - softwareUsersProgram(string inputFileName, globalParameters* globals, dataManager* dt);
+    Par :
+    - softwareUsersProgram(string inputFileName, sectionToExecute*)
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+
+
+- softwareMadX :
+  o Changement du constructeur :
+    - softwareMadX(string inputFileName, globalParameters* globals, dataManager* dt);
+    Par :
+    - softwareMadX(string inputFileName, sectionToExecute*)
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+
+
+- softwareTransport :
+  o Changement du constructeur :
+    - softwareTransport(string inputFileName, globalParameters* globals, dataManager* dt);
+    Par :
+    - softwareTransport(string inputFileName, sectionToExecute*)
+  o Changement de la méthode createInputFile qui ne prend désormais plus de numéroDeb ni numéroFin.
+   - createInputFile(particleBeam* beamBefore,unsigned int numeroDeb, unsigned int numeroFin, string workingDir)
+
+- GWt_elementBeam, Cell, Bend, Drift... :
+  o Changement du constructeur pour l'associer à un abstrastElement
+
+- GWt_elementLigneFaisceu :
+  o Remplacement de :
+    - initialize_ligneFaisceau(nomdElements::typedElement eType,GWt_ligneFaisceau* ligne);
+    Par :
+    - initialize_ligneFaisceau(GWt_ligneFaisceau* ligne, abstractElement* abstractElem)
+  o Suppression du pointeur vers PspaApplication*
+  o DEPRECATED : GWt_abstractElement
+
+- GWt_dropZoneLigneFaisceau :
+  o Desormais une dropZone n'est plus lié à PspaApplication mais à un dataManager
+
+- GWt_sectionToExecute :
+  o Ajout d'un pointer vers le section qui contient cette section
+
+- GWt_softwarePanel :
+  o Cette classe n'est plus liée à PspaApplication, mais au GWt_sector qui la contient
+
+- GWt_ligneFaisceau :
+  o Desormais cette classe n'est plus lié à PspaApplication mais à un dataManager et un GWt_sector
+  o DEPRECATED : 
+    - update()
+    - manageLineFaisceauLayout()
+
+- GWt_sectorParameters
+  o DEPRECATED :
+    - createSector()
+    - buttons()
+    - execDialog()
+
+- PspaApplication :
+  o La beamLine n'est plus gérée dans cette classe mais dans le dataManager, de ce fait, un certain nombre de fonctions et arguments disparaissent :
+  o DEPRECATED : 
+    - beamLine
+    - createBeamLine()
+  o Un certain nombre de fonction sont déplacée dans la nouvelle classe GWt_accelerator :
+    - dialogOnGraphics()
+    - faireDessinPhaseSpace(WContainerWidget* toto, particleBeam* beam, string elementLabel, string namex, string namey, int typeFaisceau)
+    - faireDessinEnveloppe(WContainerWidget* toto, string type)
+    - chartPlot2vec(WContainerWidget* toto,vector<double>& xcor,vector<double>& ycor,Wt::Chart::SeriesType seriesType,Wt::Chart::FillRangeType fillRange,Wt::Chart::AxisValue value,bool isGridLinesEnables,string title,string legendx,string legendy,int width,int height,bool makeIcon = false)
+    - removePathFromConfigName(string& config)
+    - removeExtensionFromConfigName(string& config)
+    - removeBeamLine()
+    - dessiner()
+    - dessinerEnveloppe()
+    - dessinerPhaseSpace()
+    - dessinerHistogramme()
+
+- GWt_accelerator : 
+  o Nouvelle classe afin de gérer toutes les fonctions spécifiques à un accélérateur et non pas à l'application PSPA. Cette classe pourra servir si l'on à plusieurs accélérateurs dans PSPA.
+
 
 12 Décembre 2013 : Laurent Garnier