Index: Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sectionToExecute.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sectionToExecute.cc	(revision 455)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sectionToExecute.cc	(revision 469)
@@ -8,12 +8,13 @@
 #include "GWt_sectionToExecute.h"
 #include "GWt_softwarePanel.h"
+#include "GWt_sector.h"
 
-GWt_sectionToExecute::GWt_sectionToExecute(Wt::WComboBox* first,Wt::WComboBox* last,Wt::WComboBox* soft,Wt::WContainerWidget* buttonPanel, GWt_softwarePanel* sPanel,GWt_sector* sect)
+GWt_sectionToExecute::GWt_sectionToExecute(Wt::WComboBox* first,Wt::WComboBox* last,Wt::WComboBox* soft,Wt::WContainerWidget* buttonPanel, sectionToExecute* section,GWt_sector* sector)
 :WContainerWidget(),
-firstElement(first),
-lastElement(last),
-software(soft),
-softwarePanel(sPanel),
-UI_sector_(sect)
+firstElement_(first),
+lastElement_(last),
+softElement_(soft),
+section_(section),
+UIsector_(sector)
 {
   Wt::WGridLayout* mainContainerLayout = new Wt::WGridLayout();
@@ -29,8 +30,8 @@
   
   labelAndComboInsideContainerLayout->addWidget(new Wt::WText("from&nbsp;:&nbsp;"));
-  labelAndComboInsideContainerLayout->addWidget(first);
+  labelAndComboInsideContainerLayout->addWidget(firstElement_);
   labelAndComboInsideContainerLayout->addWidget(new Wt::WText("to&nbsp;:&nbsp;"));
-  labelAndComboInsideContainerLayout->addWidget(last);
-  labelAndComboInsideContainerLayout->addWidget(soft);
+  labelAndComboInsideContainerLayout->addWidget(lastElement_);
+  labelAndComboInsideContainerLayout->addWidget(softElement_);
   
     // add buttons
@@ -86,11 +87,11 @@
   
   // resize combo
-  firstElement->setMinimumSize(80,12);
-  lastElement->setMinimumSize(80,12);
-  software->setMinimumSize(80,12);
+  firstElement_->setMinimumSize(80,12);
+  lastElement_->setMinimumSize(80,12);
+  softElement_->setMinimumSize(80,12);
   
-  firstElement->activated().connect(softwarePanel,&GWt_softwarePanel::updateSections);
-  lastElement->activated().connect(softwarePanel,&GWt_softwarePanel::updateSections);
-  software->activated().connect(softwarePanel,&GWt_softwarePanel::updateSections);
+//  firstElement_->activated().connect(softwarePanel,&GWt_softwarePanel::updateSections);
+//  lastElement->activated().connect(softwarePanel,&GWt_softwarePanel::updateSections);
+  softElement_->activated().connect(this,&GWt_sectionToExecute::setSoftware);
   
   manageWarningsAndErrors();
@@ -99,7 +100,7 @@
 
 void GWt_sectionToExecute::setFirstElementCurrentSelection(Wt::WString txt){
-    for (int a=0; a< firstElement->count(); a++) {
-        if (firstElement->itemText(a) == txt) {
-            firstElement->setCurrentIndex (a);
+    for (int a=0; a< firstElement_->count(); a++) {
+        if (firstElement_->itemText(a) == txt) {
+            firstElement_->setCurrentIndex (a);
             return;
         }
@@ -108,7 +109,7 @@
 
 void GWt_sectionToExecute::setLastElementCurrentSelection(Wt::WString txt){
-    for (int a=0; a< lastElement->count(); a++) {
-        if (lastElement->itemText(a) == txt) {
-            lastElement->setCurrentIndex (a);
+    for (int a=0; a< lastElement_->count(); a++) {
+        if (lastElement_->itemText(a) == txt) {
+            lastElement_->setCurrentIndex (a);
             return;
         }
@@ -117,7 +118,7 @@
 
 void GWt_sectionToExecute::setSoftwareElementCurrentSelection(Wt::WString txt){
-  for (int a=0; a< software->count(); a++) {
-    if (software->itemText(a) == txt) {
-      software->setCurrentIndex (a);
+  for (int a=0; a< softElement_->count(); a++) {
+    if (softElement_->itemText(a) == txt) {
+      softElement_->setCurrentIndex (a);
       return;
     }
@@ -140,10 +141,9 @@
 }
 
-/*
- void GWt_sectionToExecute::setSoftware(nomDeLogiciel logiciel)
+
+ void GWt_sectionToExecute::setSoftware()
 {
-  UI_sector_->getSectorControler()->setSoftware(logiciel);
-
+  section_->setSoftware(softElement_->currentText().toUTF8());
+  UIsector_->getBeamLineWidget()->buildBeamLineWidget();
 }
 
-*/