Index: /Interface_Web/trunk/pspaWT/History
===================================================================
--- /Interface_Web/trunk/pspaWT/History	(revision 480)
+++ /Interface_Web/trunk/pspaWT/History	(revision 481)
@@ -5,4 +5,12 @@
      PSPA - Plateforme de simulation en physique des accÃ©lÃ©rateurs
      =========================================================
+
+08 Janvier 2014 : Laurent Garnier
+- abstractSoftware, dataManager, softwareParmela, softwareUsersprogram, softwareGenerator, 
+softwareTransport, GWt_ligneFaisceau, PspaApplication :
+  o Suppression de methodes deprecated
+
+- GWt_console, GWt_softwarePanel, GWt_sector :
+  o Suppression de variables inutilisées
 
 08 Janvier 2014 : Laurent Garnier
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/abstractSoftware.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/abstractSoftware.h	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/abstractSoftware.h	(revision 481)
@@ -39,5 +39,4 @@
 
   bool launchJob(string commandLine, string& resul);
-  bool ComputationLimitsOk_deprecated() const;
 
   void registerElement(nomdElements::typedElement nomdel,trivaluedBool b);
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 481)
@@ -28,5 +28,4 @@
   virtual ~dataManager();
   void consoleMessage(string message);
-  int getBeamLineSize_deprecated();
   inline globalParameters* getGlobalParameters()  {return &globParam_;}
     
@@ -42,15 +41,5 @@
   inline std::vector <sector*> getSectors() {return jobList_;};
   
-  /**
-     Get the label from the order number in the beam line
-     @return return "" if not found
-  */
-  string getLabelFromElementNumero_deprecated(int numero);
   
-  /**
-     Get the numero from the label in the beam line
-     @return return -1 if not found
-  */
-  int getNumeroFromElementLabel_deprecated(string);
   
   void initializeExecution();
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/softwareParmela.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/softwareParmela.h	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/softwareParmela.h	(revision 481)
@@ -10,16 +10,7 @@
 
 
-  
-  //    les elements de parmela sont indexes Ã  partir du premier, il faut 
-  // donc prevoir un offset pour le raccord a pspa
-  //  unsigned offsetNumElem_;
-
-    vector<int> relativeParmelaElementIndices__deprecated;
-
-
   bool beamFromParmela(string workingDir,unsigned numeroElement, double referencefrequency, vector<double>& centroid, bareParticle& refPart,vector<bareParticle>& particles );
 
   bool beamToParmela(string workingDir, particleBeam* partic );
-  void setRelativeParmelaElementIndices_deprecated();
 
 
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/abstractSoftware.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/abstractSoftware.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/abstractSoftware.cc	(revision 481)
@@ -18,16 +18,4 @@
 }
 
-
-bool abstractSoftware::ComputationLimitsOk_deprecated() const 
-{
-/*  if (numeroDeb_deprecated_ < 1 || numeroFin_deprecated__ < 1 || numeroDeb_deprecated_ > dataManager_->getBeamLineSize() || numeroFin_deprecated__ > dataManager_->getBeamLineSize() ) {
-    consoleMessage(" abstractSoftware::initComputationLimit : num of element out of limits in software " + getName() );
-    return false;
-  } else {
-    return true;
-  }
-*/
-  return true;
-}
 
 void abstractSoftware::registerElement(nomdElements::typedElement nomdel,trivaluedBool b) 
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/dataManager.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/dataManager.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/dataManager.cc	(revision 481)
@@ -34,31 +34,4 @@
   if (console) console->addConsoleMessage(message + "\n");
   pspa_->processEvents();
-}
-
-string dataManager::getLabelFromElementNumero_deprecated(int numero)
-{
-/*
- abstractElement* ptr = pspa_->getBeamLine_deprecated()->getAbstractElement(numero-1);
-  if ( ptr == NULL ) return "";
-  return ptr->getLabel();
-*/
-return "";
-}
-
-int dataManager::getNumeroFromElementLabel_deprecated(string label)
-{
-/*  int index = -1;
-  for (int k = 0; k < getBeamLineSize() ; k++) {
-    if (pspa_->getBeamLine_deprecated()->getAbstractElement(k) != NULL) {
-      if ( pspa_->getBeamLine_deprecated()->getAbstractElement(k)->getLabel() == label )
-	{
-	  index = (int)k + 1;
-	  return index;
-	}
-    }
-  }
-  return index;
-*/
-  return 0;
 }
 
@@ -378,15 +351,4 @@
 }
 
-int dataManager::getBeamLineSize_deprecated() {
-// FIXME : Cette methode ne doit pas exister, mis a part pour savoir quelle est la taille de la beamLine
-  unsigned int i = 0;
-  for (unsigned k = 0; k < jobList_.size(); k++) {
-    sector* sector = jobList_[k];
-    for (unsigned l = 0; l < sector->getSectionsToExecute().size(); l++) {
-      i += sector->getSectionsToExecute()[l]->getElements().size();
-    }
-  }
-  return i;
-}
 
 
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/softwareGenerator.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/softwareGenerator.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/softwareGenerator.cc	(revision 481)
@@ -92,5 +92,4 @@
 
   bool result = true;
-  if ( !ComputationLimitsOk_deprecated() ) return false;
 
   if ( getSectionToExecute()->getElements().size() != 1 ) {
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/softwareParmela.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/softwareParmela.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/softwareParmela.cc	(revision 481)
@@ -24,37 +24,4 @@
 }
 
-void softwareParmela::setRelativeParmelaElementIndices_deprecated() {
-  return;
-  //  relativeParmelaElementIndices_.clear();
-//  relativeParmelaElementIndices_.resize(numeroFin_deprecated_ - numeroDeb_deprecated_ + 1, -1);
-//  cout << " setRelativeParmelaElementIndices() taille a priori : " << relativeParmelaElementIndices_.size() << endl;
-  abstractElement* elPtr = getSectionToExecute()->getElements().front();
-
-  bool there_is_rfgun = ( elPtr->getNomdElement().getElementType() == nomdElements::RFgun );
-  unsigned offsetNumElem;
-  // les elements de parmela sont indexes de 1 Ã  max, s'il n'y a pas de rfgun
-  if ( !there_is_rfgun ) {
-//    offsetNumElem = numeroDeb_deprecated_ -1;
-    // les elements de parmela sont indexes de 0 Ã  max, s'il y a un rfgun
-  } else {
-//    offsetNumElem = numeroDeb_deprecated_;
-  }
-
-  // index du premier element de parmela
-//  int id= numeroDeb_deprecated_ - offsetNumElem;
-  unsigned k;
-  unsigned curseur = 0;
-  for ( k=0; k < getSectionToExecute()->getElements().size() ; k++ ) {
-    abstractElement* elem = getSectionToExecute()->getElements()[k];
-//    cout << " liste PARMELA no absolu " << k << " relatif provisoire " << relativeParmelaElementIndices_.at(curseur) << endl;
-    // if ( elem->is_accepted_by_software(nameOfSoftware_) == TBoolOk ) {
-    if ( doAcceptElement(elem->getNomdElement().getElementType() )  == TBoolOk ) {
-//      relativeParmelaElementIndices_.at(curseur) = id;
-//      cout << " mis a " << id << endl;
-//      id++;
-    }
-    curseur++;
-  }
-}
 
 
@@ -94,5 +61,4 @@
   outfile << "OUTPUT 0" << endl;
   if ( there_is_rfgun ) {
-    //    outfile << dataManager_->getElementPointerFromNumero(numeroDeb_deprecated_)->parmelaOutputFlow();
     outfile << elementsData(elPtr->parametersToSoftware());
   } else {
@@ -152,5 +118,4 @@
   bool result = true;
 
-  if ( !ComputationLimitsOk_deprecated() ) return false;
   unsigned curseur;
   for ( unsigned int k=0; k < getSectionToExecute()->getElements().size() ; k++ ) {
@@ -161,5 +126,5 @@
       }
 
-    curseur = k;// - numeroDeb_deprecated_;
+    curseur = k;
 
     if (!(doAcceptElement(getSectionToExecute()->getElements()[curseur]->getNomdElement().getElementType()) == TBoolOk)) {
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/softwareTransport.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/softwareTransport.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/softwareTransport.cc	(revision 481)
@@ -141,5 +141,4 @@
 
   bool result = true;
-  if ( !ComputationLimitsOk_deprecated() ) return false;
 
   for (unsigned k = 0; k < getSectionToExecute()->getElements().size(); k++)
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/softwareUsersprogram.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/softwareUsersprogram.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/softwareUsersprogram.cc	(revision 481)
@@ -96,5 +96,4 @@
 
 
-  if ( !ComputationLimitsOk_deprecated() ) return false;
   
   //  for (unsigned k = numeroDeb_; k <= numeroFin_; k++)
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_ligneFaisceau.h	(revision 481)
@@ -76,7 +76,4 @@
     void update();
   
-  /** update the status of the given index element
-   */
-  void update_deprecated(int);
     
   /** Return the sector of this beamLine */
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_pspaApplication.h	(revision 481)
@@ -40,5 +40,4 @@
   WLineEdit* saveNameEdit_;
   WLineEdit* openNameEdit_;
-  GWt_ligneFaisceau* beamLine_deprecated_;
     
   GWt_globalParameters* globalParam_;
@@ -95,8 +94,4 @@
   }
 
-  inline GWt_ligneFaisceau* getBeamLine_deprecated() {
-    return beamLine_deprecated_;
-  }
-
   inline GWt_abstractElementFactory* getAbstractElementFactory() {
     return abstractElementFactory_;
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_console.cc	(revision 481)
@@ -20,5 +20,5 @@
   Wt::WContainerWidget *searchContainer = new Wt::WContainerWidget();
     
-  Wt::WLabel *label = new Wt::WLabel("Search ", searchContainer);
+  new Wt::WLabel("Search ", searchContainer);
   searchLineEdit_ = new Wt::WLineEdit("", searchContainer);
   searchLineEdit_->setToolTip("clic here to search a string in the output");
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_ligneFaisceau.cc	(revision 481)
@@ -312,18 +312,2 @@
   return elems;
 }
-
-void GWt_ligneFaisceau::update_deprecated(int i){
-    int index = 0;
-  
-    // first if 1
-    //    i--;
-  
-    for (int a=0; a< ligneFaisceauLayout_->count(); a++) {
-        if (GWt_elementLigneFaisceau* elem = dynamic_cast <GWt_elementLigneFaisceau*> (ligneFaisceauLayout_->itemAt(a)->widget ())) {
-            if (index == i) {
-    //        elem->update();
-            }
-            index ++;
-        }
-    }
-}
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_pspaApplication.cc	(revision 481)
@@ -145,5 +145,5 @@
   // ********************* Ancien code : A supprimer ***************
   // ---------------------------------------------------------------
-  beamLine_deprecated_ = NULL;
+
   /*
    WScrollArea* scroll = new  WScrollArea(acceleratorContainerWidget_);
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sector.cc	(revision 481)
@@ -58,7 +58,7 @@
   // Add refected
   if (sectorControler_->getReflected()) {
-    WText* t = new WText(" reflected from "+sectorControler_->getDuplicatedFrom()->getName(),sectorContainer);
+    new WText(" reflected from "+sectorControler_->getDuplicatedFrom()->getName(),sectorContainer);
   } else if (sectorControler_->getDuplicatedFrom() != NULL) {
-    WText* t = new WText(" duplicated from "+sectorControler_->getDuplicatedFrom()->getName(),sectorContainer);
+    new WText(" duplicated from "+sectorControler_->getDuplicatedFrom()->getName(),sectorContainer);
   }
   new WBreak(sectorContainer);
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 480)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 481)
@@ -89,5 +89,4 @@
       
       WComboBox* softCombo = new WComboBox();
-      sectionToExecute* sect = UIsector_->getSectorControler()->getSectionsToExecute()[a];
       
       fillComboWithSoftwares(softCombo,UIsector_->getSectorControler()->getSectionsToExecute()[a]->getSoftware()->getName());