Index: /PSPA/PSPA.xcodeproj/project.pbxproj
===================================================================
--- /PSPA/PSPA.xcodeproj/project.pbxproj	(revision 493)
+++ /PSPA/PSPA.xcodeproj/project.pbxproj	(revision 494)
@@ -9,6 +9,4 @@
 /* Begin PBXBuildFile section */
 		080B123B180F2AA1009E9DD6 /* libxerces-c-3.1.dylib in Frameworks */ = {isa = PBXBuildFile; fileRef = 080B123A180F2AA1009E9DD6 /* libxerces-c-3.1.dylib */; };
-		08211C9C16F0975600519CAA /* sectionToExecute.cc in Sources */ = {isa = PBXBuildFile; fileRef = 08211C9816F08C7500519CAA /* sectionToExecute.cc */; };
-		08211C9D16F0975A00519CAA /* GWt_sectionToExecute.cc in Sources */ = {isa = PBXBuildFile; fileRef = 08211C9A16F08C8300519CAA /* GWt_sectionToExecute.cc */; };
 		0826C7311851D25C00C7CD37 /* elementMultipole.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0826C7301851D25C00C7CD37 /* elementMultipole.cc */; };
 		0826C7331851D27800C7CD37 /* softwareMadx.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0826C7321851D27800C7CD37 /* softwareMadx.cc */; };
@@ -23,4 +21,12 @@
 		084F4A251858B137004B8245 /* softwareUsersprogram.cc in Sources */ = {isa = PBXBuildFile; fileRef = 084F4A241858B137004B8245 /* softwareUsersprogram.cc */; };
 		084F4A2A1858C801004B8245 /* sector.cc in Sources */ = {isa = PBXBuildFile; fileRef = 084F4A291858C801004B8245 /* sector.cc */; };
+		0884CE7A18CF5CBB0014BB77 /* elementSextupole.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE7818CF5CBB0014BB77 /* elementSextupole.cc */; };
+		0884CE7D18CF5CE00014BB77 /* GWt_computingBlock.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE7C18CF5CE00014BB77 /* GWt_computingBlock.cc */; };
+		0884CE7F18CF5D110014BB77 /* GWt_machine.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE7E18CF5D110014BB77 /* GWt_machine.cc */; };
+		0884CE8318CF5D4B0014BB77 /* expandedMachine.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE8218CF5D4B0014BB77 /* expandedMachine.cc */; };
+		0884CE8518CF5E0A0014BB77 /* computingBlock.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE8418CF5E0A0014BB77 /* computingBlock.cc */; };
+		0884CE8918CF5E370014BB77 /* elementQuadrupole.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE8818CF5E370014BB77 /* elementQuadrupole.cc */; };
+		0884CE8C18CF5E6F0014BB77 /* GWt_elementQpole.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE8B18CF5E6F0014BB77 /* GWt_elementQpole.cc */; };
+		0884CE8E18CF5E7C0014BB77 /* GWt_elementSpole.cc in Sources */ = {isa = PBXBuildFile; fileRef = 0884CE8D18CF5E7C0014BB77 /* GWt_elementSpole.cc */; };
 		08866B6E180FF4E800E64684 /* libuap.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 08866B6D180FF4E800E64684 /* libuap.a */; };
 		08C8899916A8469A00DD764A /* libwt.dylib in Frameworks */ = {isa = PBXBuildFile; fileRef = 08C8895516A8417000DD764A /* libwt.dylib */; settings = {ATTRIBUTES = (Required, ); }; };
@@ -88,13 +94,8 @@
 /* Begin PBXFileReference section */
 		080B123A180F2AA1009E9DD6 /* libxerces-c-3.1.dylib */ = {isa = PBXFileReference; lastKnownFileType = "compiled.mach-o.dylib"; name = "libxerces-c-3.1.dylib"; path = "../../../../../sw/lib/libxerces-c-3.1.dylib"; sourceTree = "<group>"; };
-		08211C9216EF2E9600519CAA /* sectionToExecute.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = sectionToExecute.h; sourceTree = "<group>"; };
-		08211C9716EFB53000519CAA /* GWt_sectionToExecute.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GWt_sectionToExecute.h; sourceTree = "<group>"; };
-		08211C9816F08C7500519CAA /* sectionToExecute.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = sectionToExecute.cc; sourceTree = "<group>"; };
-		08211C9A16F08C8300519CAA /* GWt_sectionToExecute.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_sectionToExecute.cc; sourceTree = "<group>"; };
 		0826C72F1851D25000C7CD37 /* elementMultipole.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = elementMultipole.h; sourceTree = "<group>"; };
 		0826C7301851D25C00C7CD37 /* elementMultipole.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = elementMultipole.cc; sourceTree = "<group>"; };
 		0826C7321851D27800C7CD37 /* softwareMadx.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = softwareMadx.cc; sourceTree = "<group>"; };
 		0826C7341851D28400C7CD37 /* softwareMadx.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = softwareMadx.h; sourceTree = "<group>"; };
-		0826C7351851D29D00C7CD37 /* softwareUnknown.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = softwareUnknown.h; sourceTree = "<group>"; };
 		0826C7361851D2AC00C7CD37 /* softwareUnknown.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = softwareUnknown.cc; sourceTree = "<group>"; };
 		0826C7381851D2CF00C7CD37 /* GWt_elementMpole.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = GWt_elementMpole.h; sourceTree = "<group>"; };
@@ -116,4 +117,22 @@
 		084F4A2B1858C80C004B8245 /* sector.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = sector.h; sourceTree = "<group>"; };
 		084F4A2C1859D0FB004B8245 /* GWt_accelerator.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GWt_accelerator.h; sourceTree = "<group>"; };
+		0853713E1863039E0084185F /* softwareUnknown.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = softwareUnknown.h; sourceTree = "<group>"; };
+		0884CE7418CF5C8C0014BB77 /* AMLtools.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = AMLtools.h; sourceTree = "<group>"; };
+		0884CE7518CF5CA50014BB77 /* elementQuadrupole.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = elementQuadrupole.h; sourceTree = "<group>"; };
+		0884CE7618CF5CAD0014BB77 /* elementSextupole.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = elementSextupole.h; sourceTree = "<group>"; };
+		0884CE7818CF5CBB0014BB77 /* elementSextupole.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = elementSextupole.cc; sourceTree = "<group>"; };
+		0884CE7B18CF5CD90014BB77 /* GWt_computingBlock.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GWt_computingBlock.h; sourceTree = "<group>"; };
+		0884CE7C18CF5CE00014BB77 /* GWt_computingBlock.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_computingBlock.cc; sourceTree = "<group>"; };
+		0884CE7E18CF5D110014BB77 /* GWt_machine.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_machine.cc; sourceTree = "<group>"; };
+		0884CE8018CF5D1A0014BB77 /* GWt_machine.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GWt_machine.h; sourceTree = "<group>"; };
+		0884CE8118CF5D410014BB77 /* expandedMachine.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = expandedMachine.h; sourceTree = "<group>"; };
+		0884CE8218CF5D4B0014BB77 /* expandedMachine.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = expandedMachine.cc; sourceTree = "<group>"; };
+		0884CE8418CF5E0A0014BB77 /* computingBlock.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = computingBlock.cc; sourceTree = "<group>"; };
+		0884CE8618CF5E140014BB77 /* computingBlock.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = computingBlock.h; sourceTree = "<group>"; };
+		0884CE8818CF5E370014BB77 /* elementQuadrupole.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = elementQuadrupole.cc; sourceTree = "<group>"; };
+		0884CE8A18CF5E650014BB77 /* GWt_elementQpole.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GWt_elementQpole.h; sourceTree = "<group>"; };
+		0884CE8B18CF5E6F0014BB77 /* GWt_elementQpole.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_elementQpole.cc; sourceTree = "<group>"; };
+		0884CE8D18CF5E7C0014BB77 /* GWt_elementSpole.cc */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.cpp.cpp; path = GWt_elementSpole.cc; sourceTree = "<group>"; };
+		0884CE8F18CF5E840014BB77 /* GWt_elementSpole.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = GWt_elementSpole.h; sourceTree = "<group>"; };
 		08866B6D180FF4E800E64684 /* libuap.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; name = libuap.a; path = "../accelerator-ml-code/uap/trunk/lib/libuap.a"; sourceTree = "<group>"; };
 		08C888C516A83A9A00DD764A /* PSPA */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = PSPA; sourceTree = BUILT_PRODUCTS_DIR; };
@@ -173,5 +192,4 @@
 		08C889C716AE8F2B00DD764A /* particleBeam.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = particleBeam.h; sourceTree = "<group>"; };
 		08C889C816AE8F2B00DD764A /* PhysicalConstants.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = PhysicalConstants.h; sourceTree = "<group>"; };
-		08C889C916AE8F2B00DD764A /* sectionToExecute.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = sectionToExecute.h; sourceTree = "<group>"; };
 		08C889CA16AE8F2B00DD764A /* trivaluedBool.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = trivaluedBool.h; sourceTree = "<group>"; };
 		08C889CD16AE8F2B00DD764A /* abstractElement.cc */ = {isa = PBXFileReference; fileEncoding = 4; indentWidth = 2; lastKnownFileType = sourcecode.cpp.cpp; path = abstractElement.cc; sourceTree = "<group>"; tabWidth = 2; };
@@ -348,8 +366,11 @@
 			isa = PBXGroup;
 			children = (
-				084F4A2B1858C80C004B8245 /* sector.h */,
 				08C889B316AE8F2B00DD764A /* abstractElement.h */,
+				0884CE7418CF5C8C0014BB77 /* AMLtools.h */,
+				08FBB14716D3DB75002B087C /* abstractSoftware.h */,
 				08C889B416AE8F2B00DD764A /* bareParticle.h */,
 				08C889B516AE8F2B00DD764A /* beam2Moments.h */,
+				0884CE8618CF5E140014BB77 /* computingBlock.h */,
+				0884CE7618CF5CAD0014BB77 /* elementSextupole.h */,
 				08C889B616AE8F2B00DD764A /* carteChamp.h */,
 				08C889B716AE8F2B00DD764A /* dataManager.h */,
@@ -359,9 +380,8 @@
 				08C889BA16AE8F2B00DD764A /* elementCell.h */,
 				08C889BB16AE8F2B00DD764A /* elementDrift.h */,
+				0884CE7518CF5CA50014BB77 /* elementQuadrupole.h */,
 				08C889BC16AE8F2B00DD764A /* elementFit.h */,
-				0826C7351851D29D00C7CD37 /* softwareUnknown.h */,
 				08C889BD16AE8F2B00DD764A /* elementRfgun.h */,
-				08FBB14716D3DB75002B087C /* abstractSoftware.h */,
-				0826C7341851D28400C7CD37 /* softwareMadx.h */,
+				0884CE8118CF5D410014BB77 /* expandedMachine.h */,
 				08FBB14216D3DB1C002B087C /* generatorParticle.h */,
 				083312F616DCF80D00EE2BD7 /* elementSnapshot.h */,
@@ -377,7 +397,6 @@
 				08C889C716AE8F2B00DD764A /* particleBeam.h */,
 				08C889C816AE8F2B00DD764A /* PhysicalConstants.h */,
-				08C889C916AE8F2B00DD764A /* sectionToExecute.h */,
 				08C889CA16AE8F2B00DD764A /* trivaluedBool.h */,
-				08211C9216EF2E9600519CAA /* sectionToExecute.h */,
+				084F4A2B1858C80C004B8245 /* sector.h */,
 				0826C73E1851D3AD00C7CD37 /* sectorParameters.h */,
 				08FBB13316D3DABC002B087C /* softwareGenerator.h */,
@@ -385,4 +404,6 @@
 				08FBB13516D3DABC002B087C /* softwareTest.h */,
 				084F4A231858B12C004B8245 /* softwareUsersprogram.h */,
+				0826C7341851D28400C7CD37 /* softwareMadx.h */,
+				0853713E1863039E0084185F /* softwareUnknown.h */,
 				08FBB13616D3DABC002B087C /* softwareTransport.h */,
 			);
@@ -393,17 +414,16 @@
 			isa = PBXGroup;
 			children = (
-				084F4A291858C801004B8245 /* sector.cc */,
 				08C889CD16AE8F2B00DD764A /* abstractElement.cc */,
 				08FBB14816D3DB7E002B087C /* abstractSoftware.cc */,
 				0826C7301851D25C00C7CD37 /* elementMultipole.cc */,
-				0826C73F1851D3B600C7CD37 /* sectorParameters.cc */,
 				08C889CE16AE8F2B00DD764A /* bareParticle.cc */,
+				0884CE8418CF5E0A0014BB77 /* computingBlock.cc */,
 				08C889CF16AE8F2B00DD764A /* beam2Moments.cc */,
-				0826C7321851D27800C7CD37 /* softwareMadx.cc */,
 				08C889D016AE8F2B00DD764A /* dataManager.cc */,
 				08C889D116AE8F2B00DD764A /* elementBeam.cc */,
 				08C889D216AE8F2B00DD764A /* elementBend.cc */,
-				0826C7361851D2AC00C7CD37 /* softwareUnknown.cc */,
 				08C889D316AE8F2B00DD764A /* elementCell.cc */,
+				0884CE8818CF5E370014BB77 /* elementQuadrupole.cc */,
+				0884CE7818CF5CBB0014BB77 /* elementSextupole.cc */,
 				08C889D416AE8F2B00DD764A /* elementDrift.cc */,
 				083312F716DCF81700EE2BD7 /* elementSnapshot.cc */,
@@ -411,4 +431,5 @@
 				08C889D616AE8F2B00DD764A /* elementRfgun.cc */,
 				08C889D816AE8F2B00DD764A /* elementSoleno.cc */,
+				0884CE8218CF5D4B0014BB77 /* expandedMachine.cc */,
 				08C889D916AE8F2B00DD764A /* globalParameters.cc */,
 				08C889DA16AE8F2B00DD764A /* main.cc */,
@@ -416,10 +437,13 @@
 				084F4A241858B137004B8245 /* softwareUsersprogram.cc */,
 				08C889DC16AE8F2B00DD764A /* nomDeLogiciel.cc */,
-				08211C9816F08C7500519CAA /* sectionToExecute.cc */,
+				0826C73F1851D3B600C7CD37 /* sectorParameters.cc */,
 				08FBB13716D3DAC8002B087C /* softwareGenerator.cc */,
 				08FBB13816D3DAC8002B087C /* softwareParmela.cc */,
 				08FBB13916D3DAC8002B087C /* softwareTest.cc */,
+				0826C7321851D27800C7CD37 /* softwareMadx.cc */,
 				08FBB13A16D3DAC8002B087C /* softwareTransport.cc */,
+				0826C7361851D2AC00C7CD37 /* softwareUnknown.cc */,
 				08C889DD16AE8F2B00DD764A /* particleBeam.cc */,
+				084F4A291858C801004B8245 /* sector.cc */,
 			);
 			path = src;
@@ -442,4 +466,5 @@
 				08C889E216AE8F2B00DD764A /* GWt_elementBend.h */,
 				08C889E316AE8F2B00DD764A /* GWt_elementCell.h */,
+				0884CE7B18CF5CD90014BB77 /* GWt_computingBlock.h */,
 				08FBB13F16D3DAF8002B087C /* GWt_elementLigneFaisceau.h */,
 				08C889E716AE8F2B00DD764A /* GWt_elementDrift.h */,
@@ -448,6 +473,8 @@
 				08C889EA16AE8F2B00DD764A /* GWt_elementFit.h */,
 				08C889EE16AE8F2B00DD764A /* GWt_elementRfgun.h */,
+				0884CE8F18CF5E840014BB77 /* GWt_elementSpole.h */,
 				08C889EF16AE8F2B00DD764A /* GWt_elementSoleno.h */,
 				08C889E416AE8F2B00DD764A /* GWt_console.h */,
+				0884CE8018CF5D1A0014BB77 /* GWt_machine.h */,
 				08C889E516AE8F2B00DD764A /* GWt_dialog.h */,
 				08C889E616AE8F2B00DD764A /* GWt_draggableImage.h */,
@@ -455,5 +482,5 @@
 				08C889E816AE8F2B00DD764A /* GWt_dropZoneLigneFaisceau.h */,
 				08C889EB16AE8F2B00DD764A /* GWt_globalParameters.h */,
-				08211C9716EFB53000519CAA /* GWt_sectionToExecute.h */,
+				0884CE8A18CF5E650014BB77 /* GWt_elementQpole.h */,
 				08FBB14416D3DB52002B087C /* GWt_softwarePanel.h */,
 				08C889EC16AE8F2B00DD764A /* GWt_ligneFaisceau.h */,
@@ -474,12 +501,15 @@
 				083312FA16DCF83A00EE2BD7 /* GWt_elementSnapshot.cc */,
 				08C889F216AE8F2B00DD764A /* GWt_elementBeam.cc */,
+				0884CE7C18CF5CE00014BB77 /* GWt_computingBlock.cc */,
 				08C88A0016AE8F2B00DD764A /* GWt_elementSoleno.cc */,
+				0884CE7E18CF5D110014BB77 /* GWt_machine.cc */,
 				08C889F316AE8F2B00DD764A /* GWt_elementBend.cc */,
 				08C889FB16AE8F2B00DD764A /* GWt_elementFit.cc */,
 				08C889FF16AE8F2B00DD764A /* GWt_elementRfgun.cc */,
+				0884CE8D18CF5E7C0014BB77 /* GWt_elementSpole.cc */,
 				08FBB14016D3DB04002B087C /* GWt_elementLigneFaisceau.cc */,
 				08C889F816AE8F2B00DD764A /* GWt_elementDrift.cc */,
+				0884CE8B18CF5E6F0014BB77 /* GWt_elementQpole.cc */,
 				08C889F416AE8F2B00DD764A /* GWt_elementCell.cc */,
-				08FBB14516D3DB5B002B087C /* GWt_softwarePanel.cc */,
 				08FBB14D16D3DBBD002B087C /* GWt_serverFileSelector.cc */,
 				0826C73B1851D37900C7CD37 /* GWt_sectorParameters.cc */,
@@ -490,7 +520,7 @@
 				08C889F916AE8F2B00DD764A /* GWt_dropZoneLigneFaisceau.cc */,
 				08C889FC16AE8F2B00DD764A /* GWt_globalParameters.cc */,
-				08211C9A16F08C8300519CAA /* GWt_sectionToExecute.cc */,
 				08C889FD16AE8F2B00DD764A /* GWt_ligneFaisceau.cc */,
 				08C889FE16AE8F2B00DD764A /* GWt_pspaApplication.cc */,
+				08FBB14516D3DB5B002B087C /* GWt_softwarePanel.cc */,
 				0826C74218522FAA00C7CD37 /* GWt_sector.cc */,
 				084F4A1C185728CC004B8245 /* GWt_accelerator.cc */,
@@ -555,9 +585,13 @@
 				08C88A0416AE8F2B00DD764A /* dataManager.cc in Sources */,
 				08C88A0516AE8F2B00DD764A /* elementBeam.cc in Sources */,
+				0884CE8918CF5E370014BB77 /* elementQuadrupole.cc in Sources */,
 				08C88A0616AE8F2B00DD764A /* elementBend.cc in Sources */,
 				08C88A0716AE8F2B00DD764A /* elementCell.cc in Sources */,
 				0826C73A1851D2DB00C7CD37 /* GWt_elementMpole.cc in Sources */,
+				0884CE7F18CF5D110014BB77 /* GWt_machine.cc in Sources */,
 				08C88A0816AE8F2B00DD764A /* elementDrift.cc in Sources */,
 				08C88A0916AE8F2B00DD764A /* elementFit.cc in Sources */,
+				0884CE8318CF5D4B0014BB77 /* expandedMachine.cc in Sources */,
+				0884CE7D18CF5CE00014BB77 /* GWt_computingBlock.cc in Sources */,
 				08C88A0A16AE8F2B00DD764A /* elementRfgun.cc in Sources */,
 				08C88A0C16AE8F2B00DD764A /* elementSoleno.cc in Sources */,
@@ -592,5 +626,7 @@
 				08FBB14116D3DB04002B087C /* GWt_elementLigneFaisceau.cc in Sources */,
 				08FBB14616D3DB5B002B087C /* GWt_softwarePanel.cc in Sources */,
+				0884CE8518CF5E0A0014BB77 /* computingBlock.cc in Sources */,
 				084F4A251858B137004B8245 /* softwareUsersprogram.cc in Sources */,
+				0884CE8C18CF5E6F0014BB77 /* GWt_elementQpole.cc in Sources */,
 				0826C73C1851D37900C7CD37 /* GWt_sectorParameters.cc in Sources */,
 				0826C7331851D27800C7CD37 /* softwareMadx.cc in Sources */,
@@ -599,9 +635,9 @@
 				08FBB14E16D3DBBD002B087C /* GWt_serverFileSelector.cc in Sources */,
 				0826C7401851D3B600C7CD37 /* sectorParameters.cc in Sources */,
+				0884CE7A18CF5CBB0014BB77 /* elementSextupole.cc in Sources */,
 				083312F816DCF81700EE2BD7 /* elementSnapshot.cc in Sources */,
+				0884CE8E18CF5E7C0014BB77 /* GWt_elementSpole.cc in Sources */,
 				083312FB16DCF83A00EE2BD7 /* GWt_elementSnapshot.cc in Sources */,
-				08211C9C16F0975600519CAA /* sectionToExecute.cc in Sources */,
 				084F4A1E185728CC004B8245 /* GWt_accelerator.cc in Sources */,
-				08211C9D16F0975A00519CAA /* GWt_sectionToExecute.cc in Sources */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;