Index: Interface_Web/trunk/pspaWT/History
===================================================================
--- Interface_Web/trunk/pspaWT/History	(revision 493)
+++ Interface_Web/trunk/pspaWT/History	(revision 495)
@@ -5,4 +5,13 @@
      PSPA - Plateforme de simulation en physique des accÃ©lÃ©rateurs
      =========================================================
+
+12 mars 2014 : Guy Le Meur
+- suppression de la classe sectionToExecute
+- la classe sector ne contient plus de sectionToExecute
+- remplacée par computingBlock 
+- ajout de la classe expandedMachine qui contient le vecteur total des éléments et le vecteur des "computingBlock"
+- dataManager contient une instance de expandedMachine
+- la classe GWt_softwarePanel a été réécrite pour intégrer les précédentes modifications. 
+- GWt_accelerator a été modifié de manière que l'affichage du softwarePanel se fasse dans une fenêtre supplémentaire (Computing View) qui fait suite à la fenêtre "Detailled view of sector" 
 
 4 Mars 2013 : Laurent Garnier
Index: Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h
===================================================================
--- Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/controler/include/dataManager.h	(revision 495)
@@ -44,5 +44,5 @@
   inline expandedMachine* expandMachine() {
     if ( !currentMachine_ ) currentMachine_ = new expandedMachine(this);
-    currentMachine_->fromSectors( sectors_, this );
+    currentMachine_->fromSectors( sectors_ );
     return currentMachine_;
   }
Index: Interface_Web/trunk/pspaWT/sources/controler/include/expandedMachine.h
===================================================================
--- Interface_Web/trunk/pspaWT/sources/controler/include/expandedMachine.h	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/controler/include/expandedMachine.h	(revision 495)
@@ -32,5 +32,5 @@
 
 
-  void  fromSectors( const vector<sector*>& sect, dataManager* dtmg );
+  void  fromSectors( const vector<sector*>& sect );
   //  computingBlock* openBlock(dataManager* dmg); 
 
Index: Interface_Web/trunk/pspaWT/sources/controler/src/expandedMachine.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/controler/src/expandedMachine.cc	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/controler/src/expandedMachine.cc	(revision 495)
@@ -112,5 +112,5 @@
 
   // methode provisoire 
-void expandedMachine::fromSectors( const vector<sector*>& secteurs, dataManager* dtmg  )
+void expandedMachine::fromSectors( const vector<sector*>& secteurs  )
 {
   cout << " methode expandedMachine::fromSectors " << endl;
@@ -128,7 +128,7 @@
     cout << " expandedMachine::fromSectors la machine a " << elements_.size() << " elements " << endl;
     computingBlocks_.clear();
-    //    computingBlocks_.push_back(new computingBlock(elements_,NULL, this));
     computingBlocks_.push_back(new computingBlock(0, elements_.size(),NULL, this));
 }
+
 
 bool expandedMachine::openNewLastBlock() {
Index: Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h	(revision 495)
@@ -38,5 +38,5 @@
   void addSector();
   void readConfiguration();
-  void expandMachine();
+    void expandMachine();
   void run();
   void closeGraphicDialog();
Index: Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_machine.h
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_machine.h	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_machine.h	(revision 495)
@@ -16,8 +16,10 @@
 class GWt_machine : public WObject
 {
-  
+
+    GWt_machine() {;}
+
 public:
 
-  GWt_machine(GWt_accelerator*,expandedMachine*);
+   GWt_machine(GWt_accelerator*,expandedMachine*);
   virtual ~GWt_machine();
   void createWidgetComputing(WContainerWidget* parent);
Index: Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h	(revision 495)
@@ -7,6 +7,6 @@
 //
 
-#ifndef GWt_softwarePanelBis_SEEN
-#define GWt_softwarePanelBis_SEEN
+#ifndef GWt_softwarePanel_SEEN
+#define GWt_softwarePanel_SEEN
 
 #include <iostream>
@@ -22,10 +22,10 @@
 class GWt_machine;
 
-class GWt_softwarePanelBis  : public WContainerWidget
+class GWt_softwarePanel  : public WContainerWidget
 {
  public :
   
-  GWt_softwarePanelBis(dataManager*, GWt_machine*);
-  virtual ~GWt_softwarePanelBis();
+  GWt_softwarePanel(dataManager*, GWt_machine*);
+  virtual ~GWt_softwarePanel();
 
   /**
Index: Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc	(revision 495)
@@ -17,5 +17,5 @@
 
 //- Ouvrir le premier secteur quand il est chargÃ©
-//- Ajouter les sectionToExecute
+//- Ajouter les computingBlocks
 //- Fixer le addConsoleMessage()
 //- remise a jour des Ã©lÃ©ments si on on change un bout de section
Index: Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_machine.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_machine.cc	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_machine.cc	(revision 495)
@@ -63,5 +63,5 @@
   // add the software panel
   cout << " GWt_machine::createWidgetComputing APPEL sofwarepanel" << endl;
-    GWt_softwarePanelBis*  computeWidget = new GWt_softwarePanelBis(getAccelerator()->getDataManager(),this);
+    GWt_softwarePanel*  computeWidget = new GWt_softwarePanel(getAccelerator()->getDataManager(),this);
     vContainerLayout->addWidget(computeWidget);
   
@@ -74,9 +74,2 @@
 }
 
-// void GWt_machine::expandMachine() {
-//   cout << " coucou depuis GWt_machine::expandMachine() " << endl;
-//   getAccelerator()->getDataManager()->expandMachine();
-//    cout << " GWt_machine::createWidgetComputing APPEL sofwarepanel" << endl;
-//        computeWidget_ = new GWt_softwarePanelBis(getAccelerator()->getDataManager(),this);
-//      vContainerLayout_->addWidget(computeWidget_);
-// }
Index: Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 493)
+++ Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 495)
@@ -23,5 +23,5 @@
 #define BAVARD 1
 
-GWt_softwarePanelBis::GWt_softwarePanelBis(dataManager* dataManager,GWt_machine* mach)
+GWt_softwarePanel::GWt_softwarePanel(dataManager* dataManager,GWt_machine* mach)
   : WContainerWidget(),
 dtmanage_(dataManager),
@@ -36,5 +36,5 @@
   contenuSections_->addWidget(new WBreak());
   contenuSections_->addWidget(new WBreak());
-  cout << " GWt_softwarePanelBis::GWt_softwarePanelBis DISPLAY SOFTWARE PANEL " << endl;
+  cout << " GWt_softwarePanel::GWt_softwarePanel DISPLAY SOFTWARE PANEL " << endl;
       displayFromControler();
   
@@ -42,10 +42,10 @@
 }
 
-GWt_softwarePanelBis::~GWt_softwarePanelBis() {
-}
-
-void GWt_softwarePanelBis::displayFromControler()
+GWt_softwarePanel::~GWt_softwarePanel() {
+}
+
+void GWt_softwarePanel::displayFromControler()
 {      
-  cout << " GWt_softwarePanelBis::displayFromControler() " << endl<<endl;
+  cout << " GWt_softwarePanel::displayFromControler() " << endl<<endl;
 
   // Clear all
@@ -55,20 +55,20 @@
   // Get all sectionsToExecute from this machine
   if (!UImachine_->getMachineControler()) {
-    cout << " GWt_softwarePanelBis::displayFromControler() PAS DE MACHINE " << endl;
+    cout << " GWt_softwarePanel::displayFromControler() PAS DE MACHINE " << endl;
     return;
   } else {
-    cout << " GWt_softwarePanelBis::displayFromControler() MACHINE TROUVEE " << endl;
+    cout << " GWt_softwarePanel::displayFromControler() MACHINE TROUVEE " << endl;
   }
   
   if (UImachine_->getMachineControler()->getComputingBlocks().size() == 0) {
     // FIXME : Add a message to tell the user to add first an element
-    cout << " GWt_softwarePanelBis::displayFromControler() PAS DE BLOCK " << endl;
+    cout << " GWt_softwarePanel::displayFromControler() PAS DE BLOCK " << endl;
   } else {
-    cout << " GWt_softwarePanelBis::displayFromControler() NOMBRE DE BLOCK " << UImachine_->getMachineControler()->getComputingBlocks().size() << endl;
+    cout << " GWt_softwarePanel::displayFromControler() NOMBRE DE BLOCK " << UImachine_->getMachineControler()->getComputingBlocks().size() << endl;
 
     unsigned int firstElemeOfComputingBlockIndex = 0;
 
     for (unsigned int a=0; a<UImachine_->getMachineControler()->getComputingBlocks().size(); a++) {
-      cout << " GWt_softwarePanelBis::displayFromControler() BLOC No " << a+1 << endl;
+      cout << " GWt_softwarePanel::displayFromControler() BLOC No " << a+1 << endl;
       abstractElement* premierElement = NULL;
       abstractElement* dernierElement = NULL;
@@ -85,5 +85,5 @@
       if (premierElement) premierElementLabel = premierElement->getLabel();
       if (dernierElement) dernierElementLabel = dernierElement->getLabel();
-      cout << " GWt_softwarePanelBis::displayFromControler() dernier element a afficher " << dernierElementLabel << endl;
+      cout << " GWt_softwarePanel::displayFromControler() dernier element a afficher " << dernierElementLabel << endl;
       
       WComboBox* lineFromCombo = new WComboBox();
@@ -119,8 +119,8 @@
       GWt_computingBlock* newBlock = new GWt_computingBlock(lineFromCombo,lineToCombo,softCombo,createAddDeletePushButtons(blocPtr),blocPtr,UImachine_);
 
-      cout << " GWt_softwarePanelBis::displayFromControler j'ajoute un bloc : " << newBlock << endl;
-      cout << " GWt_softwarePanelBis::displayFromControler nb widget avant : " << contenuSections_->count() << endl;
+      cout << " GWt_softwarePanel::displayFromControler j'ajoute un bloc : " << newBlock << endl;
+      cout << " GWt_softwarePanel::displayFromControler nb widget avant : " << contenuSections_->count() << endl;
       contenuSections_->addWidget(newBlock);
-      cout << " GWt_softwarePanelBis::displayFromControler nb widget apres : " << contenuSections_->count() << endl;
+      cout << " GWt_softwarePanel::displayFromControler nb widget apres : " << contenuSections_->count() << endl;
       
     }
@@ -128,5 +128,5 @@
 }
 
-void GWt_softwarePanelBis::fillComboWithElements(Wt::WComboBox* cBox) 
+void GWt_softwarePanel::fillComboWithElements(Wt::WComboBox* cBox) 
 {
 
@@ -145,5 +145,5 @@
 }
 
-void GWt_softwarePanelBis::fillComboWithSoftwares(Wt::WComboBox* cBox, std::string selected)
+void GWt_softwarePanel::fillComboWithSoftwares(Wt::WComboBox* cBox, std::string selected)
 {
 #if BAVARD > 0
@@ -167,5 +167,5 @@
 
 
-Wt::WContainerWidget* GWt_softwarePanelBis::createAddDeletePushButtons(computingBlock* cpbl) 
+Wt::WContainerWidget* GWt_softwarePanel::createAddDeletePushButtons(computingBlock* cpbl) 
 {
   WContainerWidget* buttonContainer= new WContainerWidget();
@@ -175,6 +175,6 @@
   // preparation du bouton add
   WPushButton* exec_add = new WPushButton("+");
-  //  exec_add->clicked().connect(this, &GWt_softwarePanelBis::addComputingBlock);
-  exec_add->clicked().connect(boost::bind(&GWt_softwarePanelBis::addComputingBlock, this, cpbl));
+  //  exec_add->clicked().connect(this, &GWt_softwarePanel::addComputingBlock);
+  exec_add->clicked().connect(boost::bind(&GWt_softwarePanel::addComputingBlock, this, cpbl));
   exec_add->setStyleClass("roundButton");
   exec_add->setMaximumSize(20,20);
@@ -185,5 +185,5 @@
   //  warningsContainer_->setStyleClass("warningsContainer");
 
-  exec_delete->clicked().connect(boost::bind(&GWt_softwarePanelBis::deleteComputingBlock, this, cpbl));
+  exec_delete->clicked().connect(boost::bind(&GWt_softwarePanel::deleteComputingBlock, this, cpbl));
   exec_delete->setStyleClass("roundButton");
   exec_delete->setMaximumSize(20,20);
@@ -197,5 +197,5 @@
 }
 
-void GWt_softwarePanelBis::addComputingBlock(computingBlock* cpbl) {
+void GWt_softwarePanel::addComputingBlock(computingBlock* cpbl) {
   // We put the last element of the previous sectionToExecute inside
   
@@ -209,40 +209,8 @@
 
 
-// void GWt_softwarePanelBis::deleteComputingBlock(int sectionLabel)
-// {
-//   cout << " GWt_softwarePanelBis::deleteComputingBlock()" << endl;
-
-//   stringstream st;
-//   st << sectionLabel;
-//   std::string sectionName = st.str();
-//   //FIXME
-//   vector<computingBlock*>& compBloc = UImachine_->getMachineControler()->getComputingBlocks();
-//   cout << " GWt_softwarePanelBis::deleteComputingBlock() nb blocs = " << compBloc.size() << endl;
-//   cout << " GWt_softwarePanelBis::deleteComputingBlock() nb widgets = " << sectionName << endl;
-//   cout << " GWt_softwarePanelBis::deleteComputingBlock() nom bloc a detruire = " << contenuSections_->count() << endl;
-
-//   for ( unsigned k=0; k <  compBloc.size(); k++) {
-
-//   }
-// /*  if ( dtmanage_->getJobListSize() == 0 ) return;
-//   for (unsigned int sectionIndex = 0; sectionIndex< UIsectionsToExecute_deprecated_.size(); sectionIndex++) {
-//     if (UIsectionsToExecute_deprecated_[sectionIndex]->objectName() == sectionName) {
-
-//       // delete from dataManager
-//       UIsector_->getSectorControler()->clearSectionToExecute(sectionIndex);
-
-//       // delete from User Interface
-//       contenuSections_->removeWidget(UIsectionsToExecute_deprecated_[sectionIndex]);
-//       delete UIsectionsToExecute_deprecated_[sectionIndex];
-//       UIsectionsToExecute_deprecated_.erase (UIsectionsToExecute_deprecated_.begin()+sectionIndex);
-//     }
-//   }  
-// */
-//   displayFromControler();
-// }
-
-void GWt_softwarePanelBis::deleteComputingBlock(computingBlock* cpbl)
-{
-  cout << " GWt_softwarePanelBis::deleteComputingBlock(computingBlock*)" << endl;
+
+void GWt_softwarePanel::deleteComputingBlock(computingBlock* cpbl)
+{
+  cout << " GWt_softwarePanel::deleteComputingBlock(computingBlock*)" << endl;
 
   UImachine_->getMachineControler()->eraseComputingBlock(cpbl);