Index: /Interface_Web/trunk/pspaWT/History
===================================================================
--- /Interface_Web/trunk/pspaWT/History	(revision 495)
+++ /Interface_Web/trunk/pspaWT/History	(revision 496)
@@ -5,4 +5,7 @@
      PSPA - Plateforme de simulation en physique des accÃ©lÃ©rateurs
      =========================================================
+13 mars 2014 : Guy Le Meur
+- deplacement du bouton "expand machine" vers fenêtre computing view"
+- suppression des fichiers GWt_sectionToexecute.h/cc
 
 12 mars 2014 : Guy Le Meur
Index: /Interface_Web/trunk/pspaWT/sources/controler/include/expandedMachine.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/include/expandedMachine.h	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/controler/include/expandedMachine.h	(revision 496)
@@ -35,4 +35,5 @@
   //  computingBlock* openBlock(dataManager* dmg); 
 
+  //  void addNewSector(sector* secteur  );
 
 
Index: /Interface_Web/trunk/pspaWT/sources/controler/src/expandedMachine.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/controler/src/expandedMachine.cc	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/controler/src/expandedMachine.cc	(revision 496)
@@ -118,16 +118,18 @@
   elements_.clear();
   for (k=0; k < secteurs.size() ; k++) {
-
     sector* sect = secteurs.at(k);
-    //    vector<sectionToExecute*> vecsec = sect->getSectionsToExecute();
-    //    for (j=0; j < vecsec.size() ; j++) {
-      vector< abstractElement* > lesElements = sect->getElements();
-      for ( m=0; m < lesElements.size(); m++) elements_.push_back(lesElements.at(m));
-      // }
-  }
-    cout << " expandedMachine::fromSectors la machine a " << elements_.size() << " elements " << endl;
-    computingBlocks_.clear();
-    computingBlocks_.push_back(new computingBlock(0, elements_.size(),NULL, this));
-}
+    vector< abstractElement* > lesElements = sect->getElements();
+    for ( m=0; m < lesElements.size(); m++) elements_.push_back(lesElements.at(m));
+  }
+  cout << " expandedMachine::fromSectors la machine a " << elements_.size() << " elements " << endl;
+  computingBlocks_.clear();
+  computingBlocks_.push_back(new computingBlock(0, elements_.size(),NULL, this));
+}
+
+// void expandedMachine::addNewSector(sector* secteur  ) {
+//   vector< abstractElement* > lesElements = secteur->getElements();
+//   for ( unsigned m=0; m < lesElements.size(); m++) elements_.push_back(lesElements.at(m));
+//   if ( !computingBlocks_.size() )     computingBlocks_.push_back(new computingBlock(0, elements_.size(),NULL, this));
+// }
 
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_accelerator.h	(revision 496)
@@ -38,5 +38,5 @@
   void addSector();
   void readConfiguration();
-    void expandMachine();
+  //    void expandMachine();
   void run();
   void closeGraphicDialog();
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_machine.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_machine.h	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_machine.h	(revision 496)
@@ -18,4 +18,5 @@
 
     GWt_machine() {;}
+
 
 public:
Index: terface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sectionToExecute.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_sectionToExecute.h	(revision 495)
+++ 	(revision )
@@ -1,71 +1,0 @@
-#ifndef GWT_SECTIONTOEXECUTE_SEEN
-#define GWT_SECTIONTOEXECUTE_SEEN
-
-#include <Wt/WContainerWidget>
-#include <Wt/WComboBox>
-#include <Wt/WText>
-#include <Wt/WSignal>
-
-class GWt_softwarePanel;
-class GWt_sector;
-class sectionToExecute;
-
-class GWt_sectionToExecute : public Wt::WContainerWidget
-{
-    public :
-    GWt_sectionToExecute(Wt::WComboBox* ,Wt::WComboBox* ,Wt::WComboBox*,Wt::WContainerWidget* ,sectionToExecute*,GWt_sector* );
-
-    ~GWt_sectionToExecute() {;}
-
-    void setSoftware();
-  void changeFirstElement();
-  
-    inline Wt::WString getFirstElementCurrentText() {
-        return firstElement_->currentText();
-    }
-    
-    inline Wt::WString getLastElementCurrentText() {
-        return lastElement_->currentText();
-    }
-    
-    inline Wt::WComboBox * getFirstElement() {
-        return firstElement_;
-    }
-    
-    inline Wt::WComboBox * getLastElement() {
-        return lastElement_;
-    }
-    
-    void setFirstElementCurrentSelection_deprecated(Wt::WString);
-    void setLastElementCurrentSelection_deprecated(Wt::WString);
-    void setSoftwareElementCurrentSelection_deprecated(Wt::WString);
-    
-    inline void setWarnings(Wt::WString warn){
-        warningsLabel_->setText(warn);
-        manageWarningsAndErrors();
-    }
-
-    inline void setErrors(Wt::WString err){
-        errorsLabel_->setText(err);
-        manageWarningsAndErrors();
-    }
-
-    Wt::Signal<void> redraw_;
-
-    private :
-    
-    void manageWarningsAndErrors();
-    Wt::WComboBox*  firstElement_;
-    Wt::WComboBox*  lastElement_;
-    Wt::WComboBox*  softElement_;
-    sectionToExecute* section_;
-    GWt_sector* UIsector_;
-
-    Wt::WText* errorsLabel_;
-    Wt::WText* warningsLabel_;
-
-    Wt::WContainerWidget* warningsContainer_;
-    Wt::WContainerWidget* errorsContainer_;
-};
-
-#endif
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/include/GWt_softwarePanel.h	(revision 496)
@@ -13,5 +13,4 @@
 #include <Wt/WContainerWidget>
 #include <Wt/WPushButton>
-#include "GWt_sectionToExecute.h"
 #include "dataManager.h"
 
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_accelerator.cc	(revision 496)
@@ -61,15 +61,15 @@
   
 
-  // expand machine 
-  WPushButton* expandMachine = new WPushButton("init/expand machine",menu);
-  // set tooltips
-  expandMachine->setToolTip("expand the machine");
-  // Set class for actions elements
-  expandMachine->setStyleClass("Button WhiteButton expand");
-  expandMachine->setMaximumSize(128,32);
-  expandMachine->setMinimumSize(128,32);
-
-  // action
-  expandMachine->clicked().connect(this,&GWt_accelerator::expandMachine);
+  // // expand machine 
+  // WPushButton* expandMachine = new WPushButton("init/expand machine",menu);
+  // // set tooltips
+  // expandMachine->setToolTip("expand the machine");
+  // // Set class for actions elements
+  // expandMachine->setStyleClass("Button WhiteButton expand");
+  // expandMachine->setMaximumSize(128,32);
+  // expandMachine->setMinimumSize(128,32);
+
+  // // action
+  // expandMachine->clicked().connect(this,&GWt_accelerator::expandMachine);
 
 
@@ -151,8 +151,8 @@
 }
 
-void GWt_accelerator::expandMachine() {
-  cout << " coucou depuis GWt_accelerator::expandMachine() " << endl;
-  if (getDataManager()->expandMachine()) new GWt_machine(this, dataManager_->getCurrentMachine());
-}
+// void GWt_accelerator::expandMachine() {
+//   cout << " coucou depuis GWt_accelerator::expandMachine() " << endl;
+//   if (getDataManager()->expandMachine()) new GWt_machine(this, dataManager_->getCurrentMachine());
+// }
 
 void GWt_accelerator::run()
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_machine.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_machine.cc	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_machine.cc	(revision 496)
@@ -51,4 +51,15 @@
   actionParameters->setMinimumSize(32,32);
   
+  // expand machine 
+  WPushButton* expandMachine = new WPushButton("init/expand machine",menu);
+  // set tooltips
+  expandMachine->setToolTip("expand the machine");
+  // Set class for actions elements
+  expandMachine->setStyleClass("Button WhiteButton expand");
+  expandMachine->setMaximumSize(128,32);
+  expandMachine->setMinimumSize(128,32);
+
+  // action
+    expandMachine->clicked().connect(this,&GWt_machine::expandMachine);
 
   
@@ -74,2 +85,5 @@
 }
 
+void GWt_machine::expandMachine() {
+  if (getAccelerator()->getDataManager()->expandMachine()) new GWt_machine(getAccelerator(), getAccelerator()->getDataManager()->getCurrentMachine());
+}
Index: terface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sectionToExecute.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_sectionToExecute.cc	(revision 495)
+++ 	(revision )
@@ -1,159 +1,0 @@
-#include <Wt/WText>
-#include <Wt/WVBoxLayout>
-#include <Wt/WHBoxLayout>
-#include <Wt/WGridLayout>
-#include <Wt/WContainerWidget>
-#include <Wt/WImage>
-
-#include "GWt_sectionToExecute.h"
-#include "GWt_softwarePanel.h"
-#include "GWt_sector.h"
-
-GWt_sectionToExecute::GWt_sectionToExecute(Wt::WComboBox* first,Wt::WComboBox* last,Wt::WComboBox* soft,Wt::WContainerWidget* buttonPanel, sectionToExecute* section,GWt_sector* sector)
-:WContainerWidget(),
-firstElement_(first),
-lastElement_(last),
-softElement_(soft),
-section_(section),
-UIsector_(sector)
-{
-  Wt::WGridLayout* mainContainerLayout = new Wt::WGridLayout();
-  mainContainerLayout->setContentsMargins(0,0,0,0);
-
-  Wt::WContainerWidget* labelAndComboContainer = new Wt::WContainerWidget();
-  Wt::WVBoxLayout* labelAndComboContainerLayout = new Wt::WVBoxLayout();
-  labelAndComboContainerLayout->setContentsMargins(0,0,0,0);
-
-  Wt::WContainerWidget* labelAndComboInsideContainer = new Wt::WContainerWidget();
-  Wt::WHBoxLayout* labelAndComboInsideContainerLayout = new Wt::WHBoxLayout();
-  labelAndComboInsideContainerLayout->setContentsMargins(0,0,0,0);
-  
-  labelAndComboInsideContainerLayout->addWidget(new Wt::WText("from&nbsp;:&nbsp;"));
-  labelAndComboInsideContainerLayout->addWidget(firstElement_);
-  labelAndComboInsideContainerLayout->addWidget(new Wt::WText("to&nbsp;:&nbsp;"));
-  labelAndComboInsideContainerLayout->addWidget(lastElement_);
-  labelAndComboInsideContainerLayout->addWidget(softElement_);
-  
-    // add buttons
-  labelAndComboInsideContainerLayout->addWidget(buttonPanel);
-  labelAndComboInsideContainer->setLayout(labelAndComboInsideContainerLayout);
-  labelAndComboContainerLayout->addWidget(labelAndComboInsideContainer);
-  labelAndComboContainerLayout->addStretch (10);
-  labelAndComboContainer->setLayout(labelAndComboContainerLayout);
-  
-  // add errors and warning layout
-  warningsContainer_ = new Wt::WContainerWidget();
-  errorsContainer_ = new Wt::WContainerWidget();
-  
-  Wt::WContainerWidget* warningsAndErrorsContainer = new Wt::WContainerWidget();
-  Wt::WVBoxLayout* vWarningsAndErrorsLayoutContainer = new Wt::WVBoxLayout();
-  
-  Wt::WHBoxLayout* hLayoutContainerWarnings = new Wt::WHBoxLayout();
-  Wt::WHBoxLayout* hLayoutContainerErrors = new Wt::WHBoxLayout();
-  
-  
-  warningsLabel_ = new Wt::WText("",XHTMLText);
-  errorsLabel_ = new Wt::WText("",XHTMLText);
-  hLayoutContainerWarnings->addWidget(warningsLabel_);
-  hLayoutContainerErrors->addWidget(errorsLabel_);
-
-  warningsAndErrorsContainer->addWidget(warningsLabel_);
-  warningsAndErrorsContainer->addWidget(errorsLabel_);
-  
-  
-  // set Layouts
-  warningsContainer_->setLayout(hLayoutContainerWarnings);
-  errorsContainer_->setLayout(hLayoutContainerErrors);
-  
-  vWarningsAndErrorsLayoutContainer->addWidget(errorsContainer_);
-  vWarningsAndErrorsLayoutContainer->addWidget(warningsContainer_);
-  vWarningsAndErrorsLayoutContainer->addStretch (100);
-  
-  warningsAndErrorsContainer->setLayout(vWarningsAndErrorsLayoutContainer);
-  
-  // add label and Combo containers
-  mainContainerLayout->addWidget(labelAndComboContainer,0,0);
-  // add warnings and errors containers
-  mainContainerLayout->addWidget(warningsAndErrorsContainer,1,0);
-  
-  // manage margins
-  vWarningsAndErrorsLayoutContainer->setContentsMargins(20,0,0,0);
-  hLayoutContainerWarnings->setContentsMargins(0,0,0,0);
-  hLayoutContainerErrors->setContentsMargins(0,0,0,0);
-  
-  setLayout(mainContainerLayout);
-  warningsContainer_->setStyleClass("warningsContainer");
-  errorsContainer_->setStyleClass("errorsContainer");
-  
-  // resize combo
-  firstElement_->setMinimumSize(80,12);
-  lastElement_->setMinimumSize(80,12);
-  softElement_->setMinimumSize(80,12);
-  
-  firstElement_->activated().connect(this,&GWt_sectionToExecute::changeFirstElement);
-//  lastElement->activated().connect(softwarePanel,&GWt_softwarePanel::updateSections);
-  softElement_->activated().connect(this,&GWt_sectionToExecute::setSoftware);
-  this->redraw_.connect(UIsector_,&GWt_sector::displayWidgetBeamLine);
-  
-  manageWarningsAndErrors();
-}
-
-
-void GWt_sectionToExecute::setFirstElementCurrentSelection_deprecated(Wt::WString txt){
-    for (int a=0; a< firstElement_->count(); a++) {
-        if (firstElement_->itemText(a) == txt) {
-            firstElement_->setCurrentIndex (a);
-            return;
-        }
-    }
-}
-
-void GWt_sectionToExecute::setLastElementCurrentSelection_deprecated(Wt::WString txt){
-    for (int a=0; a< lastElement_->count(); a++) {
-        if (lastElement_->itemText(a) == txt) {
-            lastElement_->setCurrentIndex (a);
-            return;
-        }
-    }
-}
-
-void GWt_sectionToExecute::setSoftwareElementCurrentSelection_deprecated(Wt::WString txt){
-  for (int a=0; a< softElement_->count(); a++) {
-    if (softElement_->itemText(a) == txt) {
-      softElement_->setCurrentIndex (a);
-      return;
-    }
-  }
-}
-
-
-void GWt_sectionToExecute::manageWarningsAndErrors(){
-    if (warningsLabel_->text() == "") {
-        warningsContainer_->hide();
-    } else {
-        warningsContainer_->show();
-    }
-    if (errorsLabel_->text() == "") {
-        errorsContainer_->hide();
-    } else {
-        errorsContainer_->show();
-    }
-
-}
-
-
- void GWt_sectionToExecute::setSoftware()
-{
-  section_->setSoftware(softElement_->currentText().toUTF8());
-  UIsector_->getBeamLineWidget()->buildBeamLineWidget();
-}
-
-
-void GWt_sectionToExecute::changeFirstElement()
-{
-  if (!section_) return;
-  if (!UIsector_) return;
-
-  section_->setFirstElement(firstElement_->currentIndex());
-  redraw_.emit();
-}
Index: /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc
===================================================================
--- /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 495)
+++ /Interface_Web/trunk/pspaWT/sources/userInterface/src/GWt_softwarePanel.cc	(revision 496)
@@ -18,5 +18,4 @@
 #include "GWt_computingBlock.h"
 #include "GWt_globalParameters.h"
-#include "GWt_sectionToExecute.h"
 #include "GWt_pspaApplication.h"
 #include "GWt_machine.h"